# Parcel

The Parcel endpoint returns information regarding a given parcel. This broadly includes shipper and consignee address, delivery information, ETA timestamps and much more.

Endpoint: GET /api/v2/external/parcel/{parcelIdentifier}
Version: 2.0.0
Security: bearerToken

## Security:

  - `bearerToken` (unknown)
    http bearer JWT

## Path parameters:

  - `parcelIdentifier` (string, required)

## Response 200:

  - `200` (unknown)
    Parcel response

## Response 200 fields (application/json):

  - `trackingId` (string, required)
    Example: YUTKBBTN

  - `parcelNumber` (string, required)
    Example: 10362781851

  - `status` (any, required)

  - `status.type` (string, required)
    Enum: "DELIVERED"

  - `status.detail` (string, required)
    Enum: "NORMAL", "NEIGHBOR", "PARCEL_SHOP", "PARCEL_LOCKER", "DEPOSIT", "OTHER"

  - `status.deliveredAt` (string)
    Example: 2022-01-15T14:33:25Z

  - `status.address` (object)

  - `status.address.name` (string)
    Example: Max Mustermann

  - `status.address.street` (string)
    Example: GLS Germany-Straße

  - `status.address.number` (string)
    Example: 1-7

  - `status.address.postcode` (string)
    Example: 36286

  - `status.address.city` (string)
    Example: Neuenstein

  - `status.address.country` (string)
    Two digit country code of format ISO 3166-1 alpha-2
    Example: DE

  - `status.address.coordinates` (object)

  - `status.address.coordinates.lat` (number, required)
    Geographic latitude coordinate
    Example: 50.9098881

  - `status.address.coordinates.lng` (number, required)
    Geographic longitude coordinate
    Example: 9.5806327

  - `status.name` (any)
    Neighbour name, present only for detail = 'TO_NEIGHBOR'

  - `status.etaTimestampMin` (string)
    Earliest estimated time of arrival
    Example: 2022-01-15T14:15:00Z

  - `status.etaTimestampMax` (string)
    Latest estimated time of arrival
    Example: 2022-01-15T14:45:00Z

  - `status.etaChangeFactor` (string)
    Indicates significant changes in the estimated time of arrival - 90 mins ETA jumps for earlier or later
    Enum: "VERY_EARLY", "VERY_DELAYED"

  - `status.remainingStops` (integer)
    Number of driver's remaining stops before delivery of the parcel
    Example: 5

  - `shipperId` (string)
    Example: bmw

  - `jobType` (string, required)
    Enum: "DELIVERY", "PICKUP", "COLLECTION", "UNKNOWN"

  - `supportedCustomizedDeliveryTypes` (array, required)

  - `customizedDelivery` (any)

  - `customizedDelivery.type` (string, required)
    Enum: "DEPOSIT_PERMISSION"

  - `customizedDelivery.createdAt` (string, required)
    Example: 2022-01-15T14:33:25Z

  - `customizedDelivery.location` (string, required)
    Example: Carport

  - `customizedDelivery.description` (string, required)
    Example: Hinter der Tonne

  - `customizedDelivery.fullName` (string, required)
    Example: Max Mustermann

  - `customizedDelivery.parcelShopId` (string, required)
    Example: 616011346

  - `customizedDelivery.parcelShopName` (string, required)
    Example: Späti 24

  - `customizedDelivery.parcelShopAddress` (object, required)

  - `customizedDelivery.parcelShopAddress.street` (string, required)
    Example: Sonnenallee

  - `customizedDelivery.parcelShopAddress.houseNumber` (string, required)
    Example: 216A

  - `customizedDelivery.parcelShopAddress.zipCode` (string, required)
    Example: 12059

  - `customizedDelivery.parcelShopAddress.city` (string, required)
    Example: Berlin

  - `customizedDelivery.parcelShopAddress.countryCode` (string, required)
    Two-letter country codes as defined in ISO 3166-1 alpha-2
    Example: DE

  - `customizedDelivery.parcelShopAddress.latitude` (number, required)
    Geographic latitude coordinate
    Example: 50.9098881

  - `customizedDelivery.parcelShopAddress.longitude` (number, required)
    Geographic longitude coordinate
    Example: 9.5806327

## Response 401:

  - `401` (unknown)
    Authorization information is missing or invalid

## Response 401 fields (application/json):

  - `message` (string, required)
    Example: Unauthorized

## Response default:

  - `default` (unknown)
    Error message

## Response default fields (application/json):

  - `id` (string, required)
    Example: PARCEL-404

  - `reason` (string)
    Example: The provided trackingId cannot be found.

  - `payload` (string)
    Example: null

